#include <bits/stdc++.h>
 #include<math.h>

 main()
 {
  	int p,q,r,broj=0,i=0;
  	long long int L,R;
  	scanf("%d %d %d %lld %lld",&p,&q,&r,&L,&R);
  	long long int Q;
  	Q=L;
  	while(Q+i<=R)
  	{
  		if(ceil((float)(Q+i)/p)+ceil((float)(Q+i)/q)+ceil((float)(Q+i)/r)<=(Q+i))
  		broj++;
  		i++;
	}
	printf("%d",broj);
 }